=== gnome/wscript ===
# -*- python -*-
# encoding: utf-8

import os
import Common

def configure(conf):
    conf.env['ENABLE_GNOME'] = bool(conf.check_pkg('libgnome-2.0 >= 2.8.0 pygobject-2.0',
                                                   destvar='GNOME', mandatory=False))
    conf.env['ENABLE_GNOMEUI'] = bool(conf.check_pkg('libgnomeui-2.0 >= 2.8.0 pygobject-2.0',
                                                     destvar='GNOMEUI', mandatory=False))

def codegen(bld, module):
    cmd = bld.create_obj('command-output')
    cmd.command = 'pygtk-codegen-2.0'
    cmd.command_is_external = True
    cmd.prio = 5
    cmd.argv = [
        '--py_ssize_t-clean',
        '--load-types', cmd.input_file('../bonobo/bonobo-arg-types.py'),
        '--register', os.path.join(cmd.env['PYGTK_DEFSDIR'], 'pango-types.defs'),
        '--register', os.path.join(cmd.env['PYGTK_DEFSDIR'], 'gdk-types.defs'),
        '--register', os.path.join(cmd.env['PYGTK_DEFSDIR'], 'gtk-types.defs'),
        '--register', cmd.input_file('../bonobo/bonobo-types.defs'),
        '--register', cmd.input_file('../bonobo/bonoboui-types.defs'),
        '--prefix', 'py'+module,
        '--override', cmd.input_file("%s.override" % module),
        cmd.input_file("%s.defs" % module),
        ]
    cmd.stdout = '%s.c' % module
    return cmd


def build(bld):
    
    if bld.env()['ENABLE_GNOME']:
        py = bld.create_obj('py')
        py.inst_dir = os.path.join('gtk-2.0', 'gnome')
        py.source = "__init__.py canvas.py vfs.py"

        codegen(bld, 'gnome')

        pyext = bld.create_obj('cc', 'plugin', 'pyext')
        pyext.source = 'gnomemodule.c gnome.c'
        pyext.target = '_gnome'
        pyext.uselib = 'GNOME'
        pyext.install_var = 'PYTHONDIR'
        pyext.install_subdir = os.path.join('gtk-2.0', 'gnome')

        defsdir = Common.install_files('DATADIR', os.path.join('pygtk', '2.0', 'defs'),
                                       ['gnome.defs',
                                        'gnome-types.defs',
                                        ])

    
    if bld.env()['ENABLE_GNOMEUI']:
        codegen(bld, 'ui')

        pyext = bld.create_obj('cc', 'plugin', 'pyext')
        pyext.source = 'uimodule.c ui.c'
        pyext.target = 'ui'
        pyext.uselib = 'GNOMEUI'
        pyext.env.append_value('CPPPATH', '../gnomevfs')
        pyext.install_var = 'PYTHONDIR'
        pyext.install_subdir = os.path.join('gtk-2.0', 'gnome')

    
        defsdir = Common.install_files('DATADIR', os.path.join('pygtk', '2.0', 'defs'),
                                       ['ui.defs',
                                        ])
