## gnome-python 2.28.1

=== gnome/wscript ===
# -*- python -*-
# encoding: utf-8

import os

def configure(conf):
    conf.env.append_value('MODULES_AVAILABLE', 'gnome')
    conf.env.append_value('MODULES_AVAILABLE', 'gnome.ui')

    if 'gnome' in conf.env['ENABLE_MODULES'] or 'all' in conf.env['ENABLE_MODULES']:
        if conf.pkg_check_modules('GNOME',
                                  'libgnome-2.0 >= 2.8.0 pygobject-2.0',
                                  mandatory=False):
            conf.env.append_value('MODULES_TO_BUILD', 'gnome')

    if 'gnome.ui' in conf.env['ENABLE_MODULES'] or 'all' in conf.env['ENABLE_MODULES']:
        if conf.pkg_check_modules('GNOMEUI',
                                  'libgnomeui-2.0 >= 2.8.0 pygobject-2.0',
                                  mandatory=False):
            conf.env.append_value('MODULES_TO_BUILD', 'gnome.ui')

def build(bld):
    env = bld.env
    
    if 'gnome' in bld.env['MODULES_TO_BUILD']:
        py = bld.new_task_gen('py')
        py.install_path = '${PYTHONDIR}/gtk-2.0/gnome'
        py.source = "__init__.py canvas.py vfs.py"

        bld.codegen('gnome', local_load_types=['../bonobo/bonobo-arg-types.py'],
                    local_register=['gnome-types.defs',
                                    '../gnomecanvas/canvas.defs',
                                    '../bonobo/bonobo-types.defs'],
                    register=[os.path.join(env['PYGTK_DEFSDIR'], 'pango-types.defs'),
                              os.path.join(env['PYGTK_DEFSDIR'], 'gdk-types.defs'),
                              os.path.join(env['PYGTK_DEFSDIR'], 'gtk-types.defs')],
                    prefix='pygnome')

        pyext = bld.create_pyext()
        pyext.source = 'gnomemodule.c gnome.c'
        pyext.target = '_gnome'
        pyext.uselib = 'GNOME'
        pyext.install_path = '${PYTHONDIR}/gtk-2.0/gnome'

        bld.install_files('${DATADIR}/pygtk/2.0/defs',
                          ['gnome.defs',
                           'gnome-types.defs',
                           ])

    
    if 'gnome.ui' in bld.env['MODULES_TO_BUILD']:
        bld.codegen('ui', local_load_types=['../bonobo/bonobo-arg-types.py'],
                    local_register=['gnome-types.defs',
                                    '../gnomecanvas/canvas.defs',
                                    '../bonobo/bonobo-types.defs'],
                    register=[os.path.join(env['PYGTK_DEFSDIR'], 'pango-types.defs'),
                              os.path.join(env['PYGTK_DEFSDIR'], 'gdk-types.defs'),
                              os.path.join(env['PYGTK_DEFSDIR'], 'gtk-types.defs')],
                    prefix='pyui')

        pyext = bld.create_pyext()
        pyext.source = 'uimodule.c ui.c'
        pyext.target = 'ui'
        pyext.uselib = 'GNOMEUI'
        pyext.includes = '. ../gnomevfs'
        pyext.install_path = '${PYTHONDIR}/gtk-2.0/gnome'

        bld.install_files('${DATADIR}/pygtk/2.0/defs', 'ui.defs')
