=== debian/changelog ===
gnome-python (2.28.1-3) unstable; urgency=low

  [ Josselin Mouette ]
  * Drop incorrect ${python:Provides}.

  [ Martin Pitt ]
  * debian/control.in: Add Conficts/Replaces: python-gnomecanvas. This only
    existed in Ubuntu (which now is getting rid of this delta), and is a
    no-op for Debian.
  * debian/watch: Fix syntax to actually catch latest version. Also move to
    *.bz2, upstream does not release .gz tarballs any more.
  * debian/python-gnome2.postinst: Remove old __init__.py{,c} cruft from
    pysupport, which causes bad imports after upgrades. (LP: #790613)

 -- Martin Pitt <mpitt@debian.org>  Wed, 08 Jun 2011 17:03:35 +0200

gnome-python (2.28.1-2) unstable; urgency=low

  * Use dh_python2 instead of pysupport
  * Rebuild for python 2.7 transition (Closes: #623396, #623729)
  * debian/control.in:
    - Bump Standards-Version to 3.9.2
    - Bump python-all-dev build-dependency to >= 2.6.6-3~
    - Bump debhelper build-dependency to 8
    - Drop Conflicts/Replaces for packages that only exist prior lenny
    - Drop quilt build-dependency
    - Drop versionize build-dependency against dpkg-dev, the required version
      exists since etch
  * debian/rules:
    - Use dh_prep instead of dh_clean -k
    - Drop call to patch/unpatch target
    - Drop quilt.make include
    - Call dh_python2 instead of dh_pysupport
  * Switch to dpkg-source 3.0 (quilt) format

 -- Laurent Bigonville <bigon@debian.org>  Sat, 23 Apr 2011 13:52:20 +0200

gnome-python (2.28.1-1) unstable; urgency=low

  * New upstream release.

 -- Josselin Mouette <joss@debian.org>  Tue, 13 Apr 2010 00:14:40 +0200

gnome-python (2.28.0-2) unstable; urgency=low

  * debian/debian/python-gconf.install, debian/python-gnome2.install:
    - Use jolly characters to fix FTBFS with python2.6 (Closes: #566936).

 -- Luca Falavigna <dktrkranz@debian.org>  Tue, 26 Jan 2010 14:53:47 +0100

gnome-python (2.28.0-1) unstable; urgency=low

  * New upstream release.
  * Add build-dependency and dependencies on pygobject 2.17.

 -- Josselin Mouette <joss@debian.org>  Thu, 24 Sep 2009 19:28:53 +0200

gnome-python (2.26.1-1) unstable; urgency=low

  * New upstream release.
  * debian/control.in:
    - Bump Standards-Version to 3.8.1 (no changes needed).
  * debian/patches/70_relibtoolize.patch:
    - Remove, lintian doesn't complain about rpath on amd64.

 -- Luca Bruno <lethalman88@gmail.com>  Sat, 25 Apr 2009 10:32:06 +0200

gnome-python (2.22.3-3) unstable; urgency=low

  * Update Vcs-* fields.
  * Remove empty python-gnome2.examples.
  * Split the gconf module in a separate package named python-gconf.

 -- Josselin Mouette <joss@debian.org>  Mon, 09 Mar 2009 12:59:39 +0100

gnome-python (2.22.3-2) unstable; urgency=low

  * Upload to unstable.

 -- Josselin Mouette <joss@debian.org>  Sun, 08 Mar 2009 15:15:08 +0100

gnome-python (2.22.3-1) experimental; urgency=low

  [ Luca Bruno ]
  * New upstream release
  * rules:
    - Remove patch system
  * Add docs file
  * debian/control:
    - Bump Standards-Version to 3.8.0 (no changes needed)
    - Add python-gnome2-doc package
    - Add gtk-doc-tools to Build-Deps
    - python-gnome2 Suggests python-gnome2-doc
    - python-gnome2-dev Recommends python-gnome2-doc
  * python-gnome2.examples moved to python-gnome2-doc.examples
  * Change Homepage to http://www.pygtk.org/; the previous Homepage was a
    redirect to the new url.

  [ Emilio Pozuelo Monfort ]
  * Remove dpatch build-dependency.

  [ Josselin Mouette ]
  * Require python 2.5 to match the change in pygobject.
  * Add quilt patch system; build-depend on quilt.
  * 70_relibtoolize.patch: new patch. Relibtoolize the source to avoid 
    the rpath issue on amd64.
  * Add copyright statements.

 -- Josselin Mouette <joss@debian.org>  Thu, 13 Nov 2008 07:52:07 +0100

gnome-python (2.22.0-1) unstable; urgency=low

  [ Josselin Mouette ]
  * Wrap again the Python-Depends field; build-depend on python-support 
    0.7.6 to ensure it works.

  [ Julian Andres Klode ]
  * New upstream release

 -- Julian Andres Klode <jak@jak-linux.org>  Sat, 29 Mar 2008 21:26:45 +0100

gnome-python (2.20.1-2) unstable; urgency=low

  * Unwrap the Python-Depends field, wrapping it doesn’t work. This 
    brings back the dependency on python-pyorbit. Closes: #457297.

 -- Josselin Mouette <joss@debian.org>  Tue, 25 Dec 2007 12:01:11 +0100

gnome-python (2.20.1-1) unstable; urgency=low

  [ Emilio Pozuelo Monfort ]
  * New upstream release.
  * debian/control:
    - Bumped Standard-Versions to 3.7.3. No changes needed.
    - Add Homepage, Vcs-Browser and Vcs-Svn fields.
    - Remove fake homepage field from the descriptions.
    - Improve python-gnome2-dev short description.
    - python-gnome2-dev doesn't recommend python-gnome2-extras-dev anymore.

  [ Loic Minier ]
  * Misc small cleanups; notably fix .PHONY targets.
  * Fix target inter-dependencies.

 -- Emilio Pozuelo Monfort <pochu@ubuntu.com>  Thu, 13 Dec 2007 19:15:25 +0100

gnome-python (2.20.0-1) unstable; urgency=low

  [ Kilian Krause ]
  * Use binary:version and source:Version for binnNMU-safe uploads as
    added in dpkg-dev 1.13.19. Add to Build-Depends accordingly.

  [ Josselin Mouette ]
  * Integrate the previous changes in control.in.
  * New upstream release.
  * Use Python-Depends for dependencies on python modules; build-depend
    on python-support 0.7.3.

 -- Josselin Mouette <joss@debian.org>  Sat, 22 Sep 2007 14:00:54 +0200

gnome-python (2.18.2-1) unstable; urgency=low

  * Add a get-orig-source target to retrieve the upstream tarball.
  * Include the new check-dist Makefile to prevent accidental uploads to
    unstable; bump build-dep on gnome-pkg-tools to >= 0.10.
  * Cleanup rules.
  * Honor CFLAGS we set in rules, doh!
  * Set some sane default CFLAGS and honor noopt in DEB_BUILD_OPTIONS.
  * Upload to unstable; drop check-dist include.
  * Wrap build-deps and deps.
  * Add a ${misc:Depends}.
  * Fix URL in copyright.

