=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: gnome-python
Section: python
Priority: optional
Maintainer: Sebastien Bacher <seb128@debian.org>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Josselin Mouette <joss@debian.org>, Laurent Bigonville <bigon@debian.org>, Luca Falavigna <dktrkranz@debian.org>
Build-Depends: debhelper (>= 8),
               gnome-pkg-tools (>= 0.10),
               python-all-dev (>= 2.6.6-3~),
               python-gobject-dev (>= 2.17.0),
               python-gtk2-dev (>= 2.10.3),
               python-pyorbit-dev (>= 2.0.1-4),
               libglib2.0-dev (>= 2.6.0),
               libgtk2.0-dev (>= 2.6.0),
               libgnome2-dev (>= 2.8.0),
               libgnomeui-dev (>= 2.8.0),
               libgnomecanvas2-dev (>= 2.8.0),
               libgnomevfs2-dev (>= 2.14.0),
               libgconf2-dev (>= 2.11.1),
               libbonobo2-dev (>= 2.8.0),
               libbonoboui2-dev (>= 2.8.0),
               gtk-doc-tools
Standards-Version: 3.9.2
X-Python-Version: >= 2.5
Homepage: http://www.pygtk.org/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-gnome/desktop/unstable/gnome-python/?op=log
Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/desktop/unstable/gnome-python/

Package: python-gnome2
Architecture: any
Depends: ${python:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         python-gconf (= ${binary:Version}),
         python-gtk2 (>= 2.10.3),
         python-pyorbit (>= 2.0.1-4),
         python-gobject (>= 2.17.0)
Conflicts: python-gnomecanvas
Replaces: python-gnomecanvas
Suggests: python-gnome2-doc
Description: Python bindings for the GNOME desktop environment
 This archive contains modules that allow you to write Python programs
 using the GNOME libraries: GnomeVFS, bonobo, libgnome, libgnomeui and 
 libgnomecanvas.

Package: python-gconf
Architecture: any
Depends: ${python:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         python-gobject (>= 2.17.0)
Suggests: python-gnome2-doc
Breaks: python-gnome2 (<< 2.22.3-3)
Replaces: python-gnome2 (<< 2.22.3-3)
Description: Python bindings for the GConf configuration database system
 This package contains modules that allow to access and manipulate the 
 GNOME configuration database (GConf) from Python programs.

Package: python-gnome2-dev
Architecture: all
Depends: ${python:Depends},
         ${misc:Depends},
         python-gnome2 (>= ${source:Version}),
         python-gobject-dev (>= 2.17.0),
         python-gtk2-dev (>= 2.10.3),
         python-pyorbit-dev (>= 2.0.1-4)
Recommends: python-gnome2-doc
Description: Python bindings for the GNOME desktop environment - development files
 This archive contains files that allow you to build wrappers for addon
 that interoperate gnome-python.

Package: python-gnome2-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Recommends: python-gnome2
Suggests: devhelp
Description: Python bindings for the GNOME desktop environment
 This archive contains modules that allow you to write GNOME programs
 in Python.
 .
 The documentation can be browsed with the devhelp documentation
 browser, or with a regular web browser.
 .
 This package also provides several examples showing how to use these
 bindings to build GNOME applications.
