=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/gnome-python/([\d\.]+[02468])/ \
        gnome-python-(.*)\.tar\.bz2 debian uupdate
