## gnome-python 2.28.1%2Bdfsg

=== debian/changelog ===
gnome-python (2.28.1+dfsg-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * autoreconf on build to support new architectures (Closes: 558556)

 -- Wookey <wookey@debian.org>  Sat, 11 Oct 2014 10:58:35 +0000

gnome-python (2.28.1+dfsg-1) unstable; urgency=low

  [ Josselin Mouette ]
  * Replace python-gobject by python-gobject-2.
  * Update repository URL.

  [ Michael Biebl ]
  * Repack upstream tarball and drop the waf build system. Closes: #654470
  * Update watch file to mangle the version for the +dfsg suffix.
  * Update Vcs-* URLs.
  * Don't use brace expansion in .install files.

 -- Michael Biebl <biebl@debian.org>  Mon, 06 Feb 2012 14:52:26 +0100
