## gnome-python 2.28.1+dfsg

=== debian/changelog ===
gnome-python (2.28.1+dfsg-gconfonly~mx19) mx; urgency=medium

  * Rebuild just with python-gconf for xfce4-dockbarx-plugin 0.4.1 on MX 19.

 -- ”SwampRabbit” <maintainer@mepiscommunity.org>  Sat, 14 Dec 2019 01:51:30 -0500

gnome-python (2.28.1+dfsg-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with dpkg-buildpackage -A.
    Thanks to Santiago Vila <sanvila@unex.es> (Closes: #831950)
  * Remove GNOME_COMMON_INIT. (Closes: #830002)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sun, 27 Nov 2016 17:41:40 +0100
