=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-python
Section: python
Priority: optional
Maintainer: SwampRabbit <maintainer@mepiscommunity.org>
XSBC-Original-Maintainer: Sebastien Bacher <seb128@debian.org>
Build-Depends: debhelper (>= 8),
               dh-autoreconf,
               python-all-dev (>= 2.6.6-3~),
               python-gobject-2-dev (>= 2.17.0),
               python-gtk2-dev (>= 2.10.3),
               libglib2.0-dev (>= 2.6.0),
               libgtk2.0-dev (>= 2.6.0),
               libgconf2-dev (>= 2.11.1)
Standards-Version: 3.9.2
X-Python-Version: >= 2.5
Homepage: http://www.pygtk.org/
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/attic/gnome-python/
Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/attic/gnome-python/

Package: python-gconf
Architecture: any
Depends: ${python:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         python-gobject-2 (>= 2.17.0)
Suggests: python-gnome2-doc
Breaks: python-gnome2 (<< 2.22.3-3)
Replaces: python-gnome2 (<< 2.22.3-3)
Description: Python bindings for the GConf configuration database system
 This package contains modules that allow to access and manipulate the 
 GNOME configuration database (GConf) from Python programs.
