=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
-include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
--include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
+#include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
+#-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
 
 CFLAGS += -Wall -g -O$(if $(findstring noopt,$(DEB_BUILD_OPTIONS)),0,2)
 
@@ -10,7 +10,8 @@
 
 configure_flags += \
 	--prefix=/usr \
-	--build=$(DEB_BUILD_GNU_TYPE)
+	--build=$(DEB_BUILD_GNU_TYPE) \
+	--disable-allbindings --enable-gconf
 
 ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
 	configure_flags += --host=$(DEB_HOST_GNU_TYPE)
@@ -32,6 +33,10 @@
 	$(MAKE) -C build-$*
 	touch $@
 
+build-arch: build
+
+build-indep: build
+
 build: $(PYVERS:%=build-%/build-stamp)
 
 install-clean:
@@ -43,13 +48,13 @@
 	dh_testdir
 	dh_testroot
 	$(MAKE) -C build-$* install DESTDIR=$(CURDIR)/debian/tmp-$*
-	cd debian/tmp-$*/usr/lib/gnome-vfs-2.0/modules && \
-		mv libpythonmethod.so libpythonmethod-$*.so
+#	cd debian/tmp-$*/usr/lib/gnome-vfs-2.0/modules && \
+#		mv libpythonmethod.so libpythonmethod-$*.so
 	dh_install --sourcedir=debian/tmp-$*
 
 install: $(PYVERS:%=install-%)
 	dh_installdirs
-	chmod 755 debian/python-gnome2/usr/share/python/runtime.d/*
+#	chmod 755 debian/python-gnome2/usr/share/python/runtime.d/*
 
 clean::
 	dh_testdir
@@ -100,4 +105,4 @@
 # NB: install-% should be .PHONY to avoid checking for real files, but
 # implicit/pattern rules may only build real files; if you declare these
 # .PHONY, no command will be run
-.PHONY: build install-clean install clean binary-indep binary-arch binary
+.PHONY: build build-arch build-indep install-clean install clean binary-indep binary-arch binary
